package com.bonus.canteen.core.supply.purchase.domain.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@ApiModel(
   value = "询价详情表",
   description = "询价详情表"
)
public class DrpInquiryDetailAddDTO {
   @ApiModelProperty("备注")
   private String notes;
   @ApiModelProperty("单位id")
   private @NotNull(
   message = "单位不能为空！"
) Long unitId;
   @ApiModelProperty("原料id")
   private @NotNull(
   message = "原料不能为空!"
) Long materialId;
   @ApiModelProperty("规格")
   private String size;
   @ApiModelProperty("采购数量")
   private BigDecimal purNum;
   @ApiModelProperty("备注")
   private String remark;

   public String getNotes() {
      return this.notes;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public String getSize() {
      return this.size;
   }

   public BigDecimal getPurNum() {
      return this.purNum;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setNotes(final String notes) {
      this.notes = notes;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setSize(final String size) {
      this.size = size;
   }

   public void setPurNum(final BigDecimal purNum) {
      this.purNum = purNum;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }
}
